<html>
<head>
<title>std Namespace Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">std Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272">swap</a> (<a class="el" href="classOgre_1_1SmallVectorImpl.html">Ogre::SmallVectorImpl</a>&lt; T &gt; &amp;LHS, <a class="el" href="classOgre_1_1SmallVectorImpl.html">Ogre::SmallVectorImpl</a>&lt; T &gt; &amp;RHS)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implement <a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272" title="Implement std::swap in terms of SmallVector swap.">std::swap</a> in terms of SmallVector swap.  <a href="#ac0f5c834836c0f5a4602cff74511d272"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T , unsigned N&gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacestd.html#af60633ec58754c4b3cc2c56314bf1882">swap</a> (<a class="el" href="classOgre_1_1SmallVector.html">Ogre::SmallVector</a>&lt; T, N &gt; &amp;LHS, <a class="el" href="classOgre_1_1SmallVector.html">Ogre::SmallVector</a>&lt; T, N &gt; &amp;RHS)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implement <a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272" title="Implement std::swap in terms of SmallVector swap.">std::swap</a> in terms of SmallVector swap.  <a href="#af60633ec58754c4b3cc2c56314bf1882"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ac0f5c834836c0f5a4602cff74511d272"></a><!-- doxytag: member="std::swap" ref="ac0f5c834836c0f5a4602cff74511d272" args="(Ogre::SmallVectorImpl&lt; T &gt; &amp;LHS, Ogre::SmallVectorImpl&lt; T &gt; &amp;RHS)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272">std::swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SmallVectorImpl.html">Ogre::SmallVectorImpl</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>LHS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SmallVectorImpl.html">Ogre::SmallVectorImpl</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>RHS</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implement <a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272" title="Implement std::swap in terms of SmallVector swap.">std::swap</a> in terms of SmallVector swap. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00802">802</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

<p>Referenced by <a class="el" href="OgreVector2_8h_source.html#l00090">Ogre::Vector2::swap()</a>, <a class="el" href="OgreVector3_8h_source.html#l00095">Ogre::Vector3::swap()</a>, <a class="el" href="OgreVector4_8h_source.html#l00096">Ogre::Vector4::swap()</a>, <a class="el" href="OgreQuaternion_8h_source.html#l00100">Ogre::Quaternion::swap()</a>, <a class="el" href="OgreMatrix3_8h_source.html#l00101">Ogre::Matrix3::swap()</a>, <a class="el" href="OgreDualQuaternion_8h_source.html#l00135">Ogre::DualQuaternion::swap()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00142">Ogre::Matrix4::swap()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="af60633ec58754c4b3cc2c56314bf1882"></a><!-- doxytag: member="std::swap" ref="af60633ec58754c4b3cc2c56314bf1882" args="(Ogre::SmallVector&lt; T, N &gt; &amp;LHS, Ogre::SmallVector&lt; T, N &gt; &amp;RHS)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , unsigned N&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272">std::swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SmallVector.html">Ogre::SmallVector</a>&lt; T, N &gt; &amp;&#160;</td>
          <td class="paramname"><em>LHS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SmallVector.html">Ogre::SmallVector</a>&lt; T, N &gt; &amp;&#160;</td>
          <td class="paramname"><em>RHS</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implement <a class="el" href="namespacestd.html#ac0f5c834836c0f5a4602cff74511d272" title="Implement std::swap in terms of SmallVector swap.">std::swap</a> in terms of SmallVector swap. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00809">809</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:34
</p>
</body>
</html>
